Error asp.net 1.1 app after adding fcgiext.ddl [Answered]RSS

2 replies

Last post Aug 04, 2017 04:40 AM by ruzdie

  • Error asp.net 1.1 app after adding fcgiext.ddl

    Aug 03, 2017 06:38 AM|Ruzdie|LINK

    Hello all,

    I'm having trouble with my asp.net 1.1 application, this error happen after adding php extension (fcgiext.dll) to my home directory - Configuration - Add. This is the error:

    Unrecognized configuration section 'connectionStrings'.

    after adding php extension there is a popup windows "the following child node also define the value of the scriptmap property bla..bla.." and show the list of the asp.net apps and I select that list and press OK, after that that asp.net app error.

    To repair this error, i already delete the configuration php fcgiext, uninstall php 5 and uninstall fcgi. But i'm still got this error, please help!!!

    thanks

    Rusdie

  • Re: Error asp.net 1.1 app after adding fcgiext.ddl

    Aug 04, 2017 02:21 AM|Yuk Ding|LINK

    Hi ruzdie,

    The <conncetionstring> was instroduced in .net 2.0. However, you are running .net 1.1 application. I think maybe fcgiext.dll added this in your web.config.

    To fix this issue, you could remove this section from web.config directly. Otherwise, you may need to change the target framework for your application from 1.1 to 2.0.

    In addition, here is the link about how to use fastcgi in IIS 6:

    https://docs.microsoft.com/en-us/iis/application-frameworks/install-and-configure-php-on-iis/configuring-the-fastcgi-extension-for-iis-60

    Best Regards,

    Yuk Ding

    Yuk Ding

    MSDN Community Support
    Please remember to "Mark as Answer" the responses that resolved your issue.
  • Re: Error asp.net 1.1 app after adding fcgiext.ddl

    Aug 04, 2017 04:40 AM|Ruzdie|LINK

    Thanks for your reply Yuk Ding, yes it change fcgiext in my web.config file, delete it and change target framework to .net 4.0. It solved my issue, thanks!!